aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarius Brehler <marbre@linux.sungazer.de>2014-11-19 10:04:27 +0100
committerMarius Brehler <marbre@linux.sungazer.de>2014-11-19 10:04:27 +0100
commita4bb5263692d9c90023146db09066102b040b65f (patch)
treef695991d7ca3567858e71199c03738718115d82a /sci-misc/mendeleydesktop
parentMerge pull request #288 from marbre/nvidia-cuda-gdk (diff)
downloadsci-a4bb5263692d9c90023146db09066102b040b65f.tar.gz
sci-a4bb5263692d9c90023146db09066102b040b65f.tar.bz2
sci-a4bb5263692d9c90023146db09066102b040b65f.zip
sci-misc/mendeleydesktop: add ebuild to overlay
Diffstat (limited to 'sci-misc/mendeleydesktop')
-rw-r--r--sci-misc/mendeleydesktop/ChangeLog12
-rw-r--r--sci-misc/mendeleydesktop/Manifest6
-rwxr-xr-xsci-misc/mendeleydesktop/files/mendeleydesktop4
-rw-r--r--sci-misc/mendeleydesktop/mendeleydesktop-1.12.3.ebuild118
-rw-r--r--sci-misc/mendeleydesktop/metadata.xml10
5 files changed, 150 insertions, 0 deletions
diff --git a/sci-misc/mendeleydesktop/ChangeLog b/sci-misc/mendeleydesktop/ChangeLog
new file mode 100644
index 000000000..8aaa0084a
--- /dev/null
+++ b/sci-misc/mendeleydesktop/ChangeLog
@@ -0,0 +1,12 @@
+# ChangeLog for sci-misc/mendeleydesktop
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*mendeleydesktop-1.12.3 (19 Nov 2014)
+
+ 19 Nov 2014; Marius Brehler <marbre@linux.sungazer.de> +files/mendeleydesktop,
+ +mendeleydesktop-1.12.3.ebuild, +metadata.xml:
+ Version bump, #529230
+
+ 14 Nov 2014; Michael Weber <xmw@gentoo.org> mendeleydesktop-1.12.3.ebuild:
+ Fix bug 480346.
diff --git a/sci-misc/mendeleydesktop/Manifest b/sci-misc/mendeleydesktop/Manifest
new file mode 100644
index 000000000..daea66a07
--- /dev/null
+++ b/sci-misc/mendeleydesktop/Manifest
@@ -0,0 +1,6 @@
+AUX mendeleydesktop 83 SHA256 7c715d67b8ebfc6556ef21b1cd214596823342718a712bc8892e23e302a92f04 SHA512 08a36e449cdfdef43afdd86b34411f704a2d8ec91b46011d67e626f3c461ea141472b41203219218ab05f0dfddaf9b5a82eb812b6f3b97cd241eba028969923c WHIRLPOOL da8a15872ed5ac72c0f40c79ce04739f698e59ccc7aca6bc086c1e29a28db13b2facfe42373ecb65cb7bfc898637e409fa27975355ace34d65797a179cad3d2f
+DIST mendeleydesktop-1.12.3-linux-i486.tar.bz2 32275064 SHA256 cc5b98f3ed610ef7792a9a20555a9fb26a100660c65873e92b58ffd5f582acd7 SHA512 680e22a10e4e5fdeca05c2d7cad9d596bb0bdd71cb930728f30fb56b4763a3da35d398d746137293b3b0939adda3c7cb5ee0643373695f9a6c5e374d34066cfa WHIRLPOOL d7b129657e7a8b8ff53fbe66af4b7615c0323cd3d9e16a2f54f4284e394cbb150f25ada105426228f44686324ca18030758aa411dcf5856303036c805312fc82
+DIST mendeleydesktop-1.12.3-linux-x86_64.tar.bz2 31882861 SHA256 ddbf3eab4f05f225f3c8c971861a1c108e81b8a63acf630031b6d05afbc30947 SHA512 79c9f075147e7064962a03040280c48ae4041f9828455022e011fc612877b5ec99b76977b72851d3a9941a422c297655d1dd154de5d666ae5c46be08f17a614d WHIRLPOOL d4b41fd9872e8f0622b2f55ae468f8a2450e2c309e46c6262b909229595a56504cf814e60e19fffd40f9a3b12eb8dda970c4d18985d396b3767a8d00ff57b9fc
+EBUILD mendeleydesktop-1.12.3.ebuild 3111 SHA256 4f7dfb9bdea98a980e54a68e96eda72b1d3b64faeadc94237e22b2195f945751 SHA512 7ac79771b79817ca994c145d5d24330b5008385ebbd303b7c1b4d9aab2c30a105b7c9451c926b9ba6b9463702e7c023d0a1083ec541dd3ea87fdafd2e089cccd WHIRLPOOL 3ffaba20a0213c92788e0a4d488edda7c9542fb8a0bf25ea48b0d8cf4923b351781458e7da9cd1e31fce15c54419c53999d41c6543fb5dc64be28972c45e98c2
+MISC ChangeLog 414 SHA256 c5adaf5d611fc87835bfa5f90112b8e83d84660f9b31a2f72b8d0068e96f2669 SHA512 da1ec18166c9b51f341316a3d6f65f97e244f578cc67cf4cf36d22a002f754dcd192a4b0806e33cd7243116769903775635224a52a8386438d730b4c6085bda6 WHIRLPOOL ec43ee2a8fbccfd7961ef6d38aa41c61aaaa3d373e0d0f47a96da5bf95c84e877d1d6535a98e64af779f5f4a167328ba762ad43ed0479eb0adb5ce44bebd1df0
+MISC metadata.xml 413 SHA256 44fb0219978f26e61cb546c8c918285b67be55007bcffac9b605f4e6f4c28712 SHA512 85249e45cfe7dee0b0318d9a84b938c7f7c79d48930c11c9515c68187743960876ccfe87f0ac159d373fe0bdf50954a45e8e70300e4d49e793868a230efb114c WHIRLPOOL b6e9c85009526786f47641e5b01ed34a716b8c8ea81a3674211b9590fdebb5316fce8b352eabfa8fdf04100b50adaa5a1e08aec10d0567e09a60849b325be0db
diff --git a/sci-misc/mendeleydesktop/files/mendeleydesktop b/sci-misc/mendeleydesktop/files/mendeleydesktop
new file mode 100755
index 000000000..bedf758aa
--- /dev/null
+++ b/sci-misc/mendeleydesktop/files/mendeleydesktop
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+exec /opt/mendeleydesktop/bin/mendeleydesktop --unix-distro-build "$@"
+
diff --git a/sci-misc/mendeleydesktop/mendeleydesktop-1.12.3.ebuild b/sci-misc/mendeleydesktop/mendeleydesktop-1.12.3.ebuild
new file mode 100644
index 000000000..f79a0df8d
--- /dev/null
+++ b/sci-misc/mendeleydesktop/mendeleydesktop-1.12.3.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+
+inherit eutils multilib
+
+MY_P_AMD64="${P}-linux-x86_64"
+MY_P_X86="${P}-linux-i486"
+
+DESCRIPTION="A free research management tool for desktop and web"
+HOMEPAGE="http://www.mendeley.com/"
+SRC_URI="amd64? ( ${MY_P_AMD64}.tar.bz2 )
+ x86? ( ${MY_P_X86}.tar.bz2 )
+ amd64-linux? ( ${MY_P_AMD64}.tar.bz2 )
+ x86-linux? ( ${MY_P_X86}.tar.bz2 )"
+
+LICENSE="Mendeley-EULA"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RESTRICT="fetch"
+
+DEPEND=""
+RDEPEND=">=dev-qt/qtcore-4.6:4
+ >=dev-qt/qtgui-4.6:4
+ >=dev-qt/qtsvg-4.6:4
+ >=dev-qt/qtwebkit-4.6:4
+ >=dev-qt/qtxmlpatterns-4.6:4"
+
+QA_FLAGS_IGNORED="
+ /opt/mendeleydesktop/lib64/libMendeley.so.${PV}
+ /opt/mendeleydesktop/lib64/libPDFNetC.so
+ /opt/mendeleydesktop/lib64/mendeleydesktop/libexec/Updater
+ /opt/mendeleydesktop/lib64/mendeleydesktop/libexec/mendeleydesktop.x86_64
+ /opt/mendeleydesktop/lib/libMendeley.so.${PV}
+ /opt/mendeleydesktop/lib/libPDFNetC.so
+ /opt/mendeleydesktop/lib/mendeleydesktop/libexec/Updater
+ /opt/mendeleydesktop/lib/mendeleydesktop/libexec/mendeleydesktop.i486"
+QA_PRESTRIPPED="
+ /opt/mendeleydesktop/lib64/libMendeley.so.${PV}
+ /opt/mendeleydesktop/lib64/libPDFNetC.so
+ /opt/mendeleydesktop/lib64/mendeleydesktop/libexec/mendeleydesktop.x86_64
+ /opt/mendeleydesktop/lib/libMendeley.so.${PV}
+ /opt/mendeleydesktop/lib/libPDFNetC.so
+ /opt/mendeleydesktop/lib/mendeleydesktop/libexec/mendeleydesktop.i486"
+
+pkg_nofetch() {
+ elog "Please download ${A} from:"
+ elog "http://www.mendeley.com/download-mendeley-desktop/"
+ elog "and move it to ${DISTDIR}"
+}
+
+src_unpack() {
+ unpack ${A}
+
+ cd "${WORKDIR}"
+
+ if use amd64 || use amd64-linux ; then
+ mv -f "${MY_P_AMD64}" "${P}"
+ else
+ mv -f "${MY_P_X86}" "${P}"
+ fi
+}
+
+src_prepare() {
+ # remove bundled Qt libraries
+ rm -rf lib/mendeleydesktop/plugins \
+ || die "failed to remove plugin directory"
+ rm -rf lib/qt || die "failed to remove qt libraries"
+
+ # force use of system Qt libraries
+ sed -i "s:sys\.argv\.count(\"--force-system-qt\") > 0:True:" \
+ bin/mendeleydesktop || die "failed to patch startup script"
+
+ # fix library paths
+ sed -i \
+ -e "s:lib/mendeleydesktop:$(get_libdir)/mendeleydesktop:g" \
+ -e "s:MENDELEY_BASE_PATH + \"/lib/\":MENDELEY_BASE_PATH + \"/$(get_libdir)/\":g" \
+ bin/mendeleydesktop || die "failed to patch library path"
+}
+
+src_install() {
+ # install menu
+ domenu share/applications/${PN}.desktop
+
+ # install application icons
+ insinto /usr/share/icons
+ doins -r share/icons/hicolor
+
+ # install default icon
+ insinto /usr/share/pixmaps
+ doins share/icons/hicolor/48x48/apps/${PN}.png
+
+ # install documentation, but no license file
+ dodoc share/doc/${PN}/Readme.txt
+
+ # install binary
+ into /opt/${PN}
+ dobin bin/*
+
+ # install libraries
+ dolib.so lib/lib*.so*
+
+ # install programs
+ exeinto /opt/mendeleydesktop/$(get_libdir)/mendeleydesktop/libexec
+ doexe lib/mendeleydesktop/libexec/*
+
+ # install shared files
+ insinto /opt/${PN}/share
+ doins -r share/mendeleydesktop
+
+ # install launch script
+ exeinto /opt/bin
+ doexe "${FILESDIR}"/${PN}
+}
diff --git a/sci-misc/mendeleydesktop/metadata.xml b/sci-misc/mendeleydesktop/metadata.xml
new file mode 100644
index 000000000..cfc3dd777
--- /dev/null
+++ b/sci-misc/mendeleydesktop/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+<maintainer>
+ <email></email>
+ <name></name>
+</maintainer>
+<longdescription>Mendeley(TM) is a free reference manager and academic social network that can help you organize your research, collaborate with others online, and discover the latest research.</longdescription>
+</pkgmetadata>